<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="customerRequestItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idRequestItem"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['organization-customer-new'] } }]">
                        <span><i class="fa fa-users"></i> &nbsp;{{ 'mpmApp.customerRequestItem.addGroup' | translate }}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['personal-customer-new'] } }]">
                        <span><i class="fa fa-user-plus"></i> &nbsp;{{ 'mpmApp.customerRequestItem.addPersonal' | translate }}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['customer-request-item-popup-new-list', idRequest, idCustomer] } }]">
                        <span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span>
                    </a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.product'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.idProduct">
                    <a [routerLink]="['../product', rowData.idProduct  ]" >{{rowData.idProduct}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.itemDescription'|translate}}" field="description" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.feature'|translate}}" *ngIf="idFeature === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.idFeature">
                    <a [routerLink]="['../feature', rowData.idFeature  ]" >{{rowData.idColor}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.unitPrice'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.unitPrice | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.unitPrice"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.bbn'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bbn | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.bbn"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.idFrame'|translate}}" field="idFrame" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.idMachine'|translate}}" field="idMachine" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.request'|translate}}" *ngIf="idRequest === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.requestId">
                    <a [routerLink]="['../request', rowData.requestId  ]" >{{rowData.requestId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.customer'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.customerId">
                    <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerId}} - {{rowData.customerName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    (click)="sendToCustomer(rowData)"
                    [hidden]="rowData.qty === rowData.qtyDelivered || rowData.currentStatus === 10"
                    icon="fa fa-truck"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'customer-request-item/'+ rowData.idRequestItem + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idRequestItem)"
                    [hidden]="rowData.qty === rowData.qtyDelivered"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
